Method: sandboxEnvironments.execute

Full name: projects.locations.reasoningEngines.sandboxEnvironments.execute

Executes using a sandbox environment.

Endpoint

post https://{service-endpoint}/v1beta1/{name}:execute

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

name string

Required. The resource name of the sandbox environment to execute. Format: projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}/sandboxEnvironments/{sandboxEnvironment}

Request body

The request body contains data with the following structure:

Fields
inputs[] object (Chunk)

Required. The inputs to the sandbox environment.

Response body

Response message for [SandboxEnvironmentExecutionService.Execute][].

If successful, the response body contains data with the following structure:

Fields
outputs[] object (Chunk)

The outputs from the sandbox environment.

JSON representation
{
  "outputs": [
    {
      object (Chunk)
    }
  ]
}